// ＡＩＧライブラリ　基本関数：バッファリング関数
//	Copyright (C) 1989-1992,94,2001 by AIG-SOFT

#ifndef	__AIG_BUFF__
#define	__AIG_BUFF__	1	/* ヘッダー読み込みシンボル */

#include <stddef.h>
#include <stdlib.h>
#include "doslibm.h"
#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	void	*newmalloc(size_t);
	int	fmalloc(unchar *(*),unchar *,int,int);
	int	learnning(int,int,int *,int *);
	int	intbuff(int *,int,int,int);
	int	word_read_write(int,int);
	_FILBUF fblock_buff(_FILBUF *,int,int,_FILBUF *);
	void	*FASTmalloc(size_t);
	void	*FASTrealloc(void *,size_t);
	void	*FASTcalloc(size_t,size_t);
	void	FASTfree(void *);
	unlong	CheckMemEnd(void);
#else
	void	*newmalloc();
	int	fmalloc();
	int	learnning();
	int	intbuff();
	int	word_read_write();
	_FILBUF fblock_buff();
	void	*FASTmalloc();
	void	*FASTrealloc();
	void	*FASTcalloc();
	void	FASTfree();
	unlong	CheckMemEnd();
#endif
#ifdef	__cplusplus
}
#endif

// 97/09/13 : newmalloc -> mallocに対する定義
#define	newmalloc(sz)	malloc(sz)

#endif
